<?php
global $post;

$value_general = get_post_meta($post->ID, 'qrr_booking_general' , true );


// Start table
//------------------------------------
echo '<table class="table-fields">';


// Min Party
//------------------------------------
$value = isset($value_general['min_party']) ? $value_general['min_party'] : 0;
echo '<tr>';
echo '<td><div class="field-title">'.__('Min Party','qrr').'</div></td>';
echo '<td>';
echo '<select name="qrr_booking_general[min_party]">';

$mmin_party = apply_filters('qrr_min_party_options', 20);
for ($i = 1; $i <= $mmin_party; $i++) {
    $selected = selected($value,$i);
    echo '<option value="'.$i.'" '.$selected.'>'.$i.'</option>';
}

echo '</select>';
echo '<div class="qrr-settings-desc">'._x('Min party size allowed in the booking form.','Settings','qrr').'</div></td>';
echo '</tr>';


// Max Party
//------------------------------------
$value = isset($value_general['max_party']) ? $value_general['max_party'] : 0;
echo '<tr>';
echo '<td><div class="field-title">'.__('Max Party','qrr').'</div></td>';
echo '<td>';
echo '<select name="qrr_booking_general[max_party]">';

$max_party = apply_filters('qrr_max_party_options', 50);
for ($i = 1; $i <= $max_party; $i++) {
    $selected = selected($value,$i);
    echo '<option value="'.$i.'" '.$selected.'>'.$i.'</option>';
}

echo '</select>';
echo '<div class="qrr-settings-desc">'._x('Max party size allowed in the booking form.','Settings','qrr').'</div></td>';
echo '</tr>';



// Early bookings
//------------------------------------
$value = isset($value_general['early']) ? $value_general['early'] : 0;

echo '<tr>';
echo '<td><div class="field-title">'.__('Early Booking','qrr').'</div></td>';
echo '<td>';
echo '<select name="qrr_booking_general[early]">';

$options = array(
    1 => _x('From 1 day in advance', 'Early booking','qrr'),
    2 => _x('From 2 days in advance', 'Early booking','qrr'),
    3 => _x('From 3 days in advance', 'Early booking','qrr'),
    4 => _x('From 4 days in advance', 'Early booking','qrr'),
    5 => _x('From 5 days in advance', 'Early booking','qrr'),
    6 => _x('From 6 days in advance', 'Early booking','qrr'),
    7 => _x('From 7 days in advance', 'Early booking','qrr'),
    14 => _x('From 14 days in advance', 'Early booking','qrr'),
    30 => _x('From 30 days in advance', 'Early booking','qrr'),
    90 => _x('From 90 days in advance', 'Early booking','qrr'),
    180 => _x('From 180 days in advance', 'Early booking','qrr')
);

$options = apply_filters('qrr_early_bookings_options', $options);


foreach( $options as $val => $title ) {
    $selected = selected($value,$val);
    echo '<option value="'.$val.'" '.$selected.'>'.$title.'</option>';
}


echo '</select>';
echo '<div class="qrr-settings-desc">'._x('How early customers can make their booking.','Settings','qrr').'</div></td>';
echo '</tr>';



// Late bookings
//------------------------------------
$value = isset($value_general['late']) ? $value_general['late'] : 0;

echo '<tr>';
echo '<td><div class="field-title">'.__('Late Booking','qrr').'</div></td>';
echo '<td>';
echo '<select name="qrr_booking_general[late]">';

$options = array(
    '0m' => _x('Up to the last minute','Late booking','qrr'),
    '15m' => _x('At least 15 minutes in advance', 'Late booking','qrr'),
    '30m' => _x('At least 30 minutes in advance', 'Late booking','qrr'),
    '45m' => _x('At least 45 minutes in advance', 'Late booking','qrr'),
    '1h' => _x('At least 1 hour in advance', 'Late booking','qrr'),
    '2h' => _x('At least 2 hours in advance', 'Late booking','qrr'),
    '3h' => _x('At least 3 hours in advance', 'Late booking','qrr'),
    '4h' => _x('At least 4 hours in advance', 'Late booking','qrr'),
    '24h' => _x('At least 24 hours in advance', 'Late booking','qrr'),
    '0d' => _x('Booking from same day', 'Late booking','qrr'),
    '1d' => _x('At least from the day before', 'Late booking','qrr'),
    '2d' => _x('At least from the 2 days before', 'Late booking','qrr'),
    '3d' => _x('At least from the 3 days before', 'Late booking','qrr')
);

$options = apply_filters('qrr_late_bookings_options', $options);

foreach( $options as $val => $title ) {
    $selected = selected($value,$val);
    echo '<option value="'.$val.'" '.$selected.'>'.$title.'</option>';
}


echo '</select>';
echo '<div class="qrr-settings-desc">'._x('How late customers can make their booking.','Settings','qrr').'</div></td>';
echo '</tr>';



// Date format
//------------------------------------
$value = isset($value_general['date_format']) ? $value_general['date_format'] : '';

echo '<tr>';
echo '<td><div class="field-title">'.__('Form Date Format','qrr').'</div></td>';
echo '<td>';

echo '<select name="qrr_booking_general[date_format]">';

$options = array(
    'mmmm d,yyyy',
    'dddd, dd mmm, yyyy',
    'dd mmm, yyyy',
    'dd mmmm, yyyy',
    'mm/dd/yyyy',
    'dd/mm/yyyy',
);

$options = apply_filters('qrr_form_date_format_options', $options);

foreach( $options as $val ) {
    $selected = selected($value,$val);
    echo '<option value="'.$val.'" '.$selected.'>'.$val.'</option>';
}
echo '</select>';

echo '<div class="qrr-settings-desc">'._x('Change date format used in the booking form.','Settings','qrr').'</div></td>';
echo '</tr>';


// First day of the week
//------------------------------------
$value = isset($value_general['first_day']) ? $value_general['first_day'] : '';


echo '<tr>';
echo '<td><div class="field-title">'.__('First Day of the Week','qrr').'</div></td>';
echo '<td>';

echo '<select name="qrr_booking_general[first_day]">';

$options = array(
    0 => __('Sunday','qrr'),
    1 => __('Monday','qrr'),
);

$options = apply_filters('qrr_form_first_day_options', $options);

foreach( $options as $val => $title ) {
    $selected = selected($value,$val);
    echo '<option value="'.$val.'" '.$selected.'>'.$title.'</option>';
}

echo '</select>';

echo '<div class="qrr-settings-desc">'._x('Select first day of the week.','Settings','qrr').'</div></td>';
echo '</tr>';


// Separation
//------------------------------------

echo '</table>';
echo '<hr class="table-separation">';
echo '<table class="table-fields">';


// Success message pending
//------------------------------------
//$value = isset($value_general['message_submit_pending']) ? $value_general['message_submit_pending'] : '';




// Redirect after booking submitted
//------------------------------------
$value = isset($value_general['redirect_page_success']) ? $value_general['redirect_page_success'] : '';

echo '<tr>';
echo '<td><div class="field-title">'.__('Redirect Page (Success)','qrr').'</div></td>';
echo '<td>';

echo '<select name="qrr_booking_general[redirect_page_success]">';

$options = array_merge( array('0'=>__('None','qrr')), qrr_get_pages() );
$options = apply_filters('qrr_redirect_page_success_options', $options);

foreach( $options as $val => $title ) {
    $selected = selected($value,$val);
    echo '<option value="'.$val.'" '.$selected.'>'.$title.'</option>';
}

echo '</select>';

echo '<div class="qrr-settings-desc">'._x('Select the page to redirect after the booking is submitted.','Settings','qrr').'</div></td>';
echo '</tr>';



// Redirect when booking not available
//------------------------------------
$value = isset($value_general['redirect_page_reject']) ? $value_general['redirect_page_reject'] : '';

echo '<tr>';
echo '<td><div class="field-title">'.__('Redirect Page (Not available)','qrr').'</div></td>';
echo '<td>';

echo '<select name="qrr_booking_general[redirect_page_reject]">';

$options = array_merge( array('0'=>__('None','qrr')), qrr_get_pages() );
$options = apply_filters('qrr_redirect_page_reject_options', $options);

foreach( $options as $val => $title ) {
    $selected = selected($value,$val);
    echo '<option value="'.$val.'" '.$selected.'>'.$title.'</option>';
}

echo '</select>';

echo '<div class="qrr-settings-desc">'._x('Select the page to redirect if not available bookings.','Settings','qrr').'</div></td>';
echo '</tr>';




// End table
//------------------------------------
echo '</table>';
