<?php

wp_enqueue_script('admin-booking-schedule');

include('template-components.php');

?>

<div id="booking-schedule">

    <a href="#" class="button" @click.prevent="help = !help"><?php _e('Help','qrr'); ?></a>
    <div v-if="help">
        <p>
            <?php _e('Schedule Rules are applied from top to bottom.<br>
            Define general rules at top, them specific rules at the bottom.<br>
            Second rule will override first rule, etc..<br>
            For example create a general rule for all days, then a second rule for weekends or specific dates.','qrr'); ?>
        </p>
    </div>

    <draggable v-model="schedules" :options="{handle:'.schedule-drag'}" @start="dragstart" @end="dragend">

        <div v-for="schedule in schedules" class="qrr-schedule">

            <div class="schedule-wrap" :class="{'status-active': schedule.active, 'status-inactive': !schedule.active, 'status-opened':schedule.opened,'status-closed':!schedule.opened, 'status-visible':schedule.visible, 'status-invisible':!schedule.visible}">

                <div class="schedule-header">

                    <div class="schedule-drag">
                        <i class="fa fa-bars"></i>
                    </div>
                    <div class="field-inline schedule-active">
                        <div class="the-title"><?php _ex('Apply','settings','qrr'); ?></div>
                        <vue-yesno v-model="schedule.active" title_yes="<?php _ex('Yes','settings','qrr'); ?>" title_no="<?php _ex('No','settings','qrr'); ?>"></vue-yesno>
                    </div>
                    <div class="field-inline schedule-open">
                        <div class="the-title"><?php _ex('State','settings','qrr'); ?></div>
                        <vue-yesno v-model="schedule.opened" title_yes="<?php _ex('Opened','settings','qrr'); ?>" title_no="<?php _ex('Closed','settings','qrr'); ?>"></vue-yesno>
                    </div>
                    <div class="field-inline schedule-capacity">
                        <div class="the-title"><?php _ex('Capacity','settings','qrr'); ?></div>
                        <select v-model="schedule.capacity">
                            <option value="capacity_unlimited"><?php _ex('Unlimited','settings','qrr'); ?></option>
                            <option value="capacity_total"><?php _ex('Total Capacity','settings','qrr'); ?></option>
                            <option value="capacity_number_tables"><?php _ex('Number of Tables','settings','qrr'); ?></option>
                            <option value="capacity_defined_tables"><?php _ex('Defined Tables','settings','qrr'); ?></option>
                        </select>
                    </div>


                    <a class="qrr-action schedule-remove" href="#" @click.prevent="removeSchedule(schedule)"><i class="fa fa-times"></i></a>
                    <a class="qrr-action schedule-edit" href="#" @click.prevent="openPopup(schedule)"><i class="fa fa-pencil"></i></a>
                    <a class="qrr-action schedule-visible" href="#" @click.prevent="toggleVisible(schedule)"><i class="fa" :class="{'fa-angle-up': schedule.visible, 'fa-angle-down': !schedule.visible}"></i></a>

                </div>

                <div class="schedule-body">
                    <div class="qrr-field">
                        <vue-weekdays v-model="schedule.days" :names="days"></vue-weekdays>
                    </div>

                    <div class="qrr-field field-time" :class="{'alltime': schedule.alltime}">
                        <label class="time-alltime"><input type="checkbox" v-model="schedule.alltime"> <?php _ex('All Day','settings','qrr'); ?></label>
                        <vue-timepicker v-model="schedule.time"></vue-timepicker>
                    </div>

                    <div class="qrr-field field-dates" :class="{'alldates': schedule.alldates}">
                        <label class="dates-alldates"><input type="checkbox" v-model="schedule.alldates"> <?php _ex('All Dates','settings','qrr'); ?></label>
                        <vue-datepicker-fromto v-model="schedule.dates" format="yy/mm/dd"></vue-datepicker-fromto>
                    </div>
                </div>

            </div>

        </div>

    </draggable>


    <a class="schedule-add-rule button" href="#" @click.prevent="addSchedule"><?php _ex('Add Schedule','settings','qrr'); ?></a>


</div>





